Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IClassifierTemplateParameter

    com.change_vision.jude.api.inf.model.IClassifierTemplateParameter

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

    public IClassifierTemplateParameter

extends INamedElement

Interface for Classifier Template Parameter.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract boolean` | `allowSubstitutable()` Check if the parameter allows substitutable.
`abstract Object` | `getDefaultValue()` Get defaultValue of the parameter
`abstract Object` | `getQualifiedDefaultValue()` Get Qualified defaultValue of the parameter
`abstract String` | `getQualifiedTypeExpression()` Get Qualified Type Expression.
`abstract IClass` | `getType()` Get type of the parameter
`abstract String` | `getTypeExpression()` Get Type Expression.
`abstract void` | `setDefaultValue(Object value)` Set Default Value.
`abstract void` | `setQualifiedDefaultValue(Object value)` Set Qualified Default Value.
`abstract void` | `setQualifiedTypeExpression(String type)` Set Qualified Type Expression.
`abstract void` | `setType(IClass type)` Set Type.
`abstract void` | `setTypeExpression(String type)` Set Type Expression.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### allowSubstitutable

    abstract boolean allowSubstitutable()

  Check if the parameter allows substitutable.

  Returns:
    true it allows substitutable / false it does not allow substitutable

### getType

    abstract IClass getType()

  Get type of the parameter

  Returns:
    Parameter Type

### getTypeExpression

    abstract String getTypeExpression()

  Get Type Expression.

  Returns:
    IClass for class, String for expression

### getQualifiedTypeExpression

    abstract String getQualifiedTypeExpression()

  Get Qualified Type Expression.

  Returns:
    IClass for class, String for expression

### getDefaultValue

    abstract Object getDefaultValue()

  Get defaultValue of the parameter

  Returns:
    Parameter Default Value. IClass for class, String for expression

### getQualifiedDefaultValue

    abstract Object getQualifiedDefaultValue()

  Get Qualified defaultValue of the parameter

  Returns:
    Parameter Default Value. IClass for class, String for expression

### setType

    abstract void setType(IClass type)

  Set Type.

  Parameters:
    `type` - Type
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              FORBID_SUBSYSTEM_KEY - if a subsystem is set to a template parameter.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setTypeExpression

    abstract void setTypeExpression(String type)

  Set Type Expression.

  Parameters:
    `type` - Type Expression
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              NO_TARGET_CLASSIFIER_KEY - if target classifier doesn't exist.
              FORBID_SUBSYSTEM_KEY - if a subsystem is set to a template parameter.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setQualifiedTypeExpression

    abstract void setQualifiedTypeExpression(String type)

  Set Qualified Type Expression.

  Parameters:
    `type` - Type Expression
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              NO_TARGET_CLASSIFIER_KEY - if target classifier doesn't exist.
              FORBID_SUBSYSTEM_KEY - if a subsystem is set to a template parameter.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setDefaultValue

    abstract void setDefaultValue(Object value)

  Set Default Value.

  Parameters:
    `value` - Default Value

         if type is Unspecified, it can be any class existed in the project
         if type is a primitive type, it should be a String value here.
         if type is a normal class, it should be the class or one of it's subclasses.
         Otherwise, InvalidEditingException will be occurred.

  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              NO_TARGET_CLASSIFIER_KEY - if target classifier doesn't exist.
              FORBID_SUBSYSTEM_KEY - if a subsystem is set to a template parameter.
              TEMPLATE_PARAM_ACTUAL_VALUE_ERROR_KEY - if an actual value cannot be set to a template parameter.
              MUST_SUB_CLASS_ERROR_KEY - if the type of parameter is not a sub class.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setQualifiedDefaultValue

    abstract void setQualifiedDefaultValue(Object value)

  Set Qualified Default Value.

  Parameters:
    `value` - Default Value

         if type is Unspecified, it can be any class existed in the project
         if type is a primitive type, it should be a String value here.
         if type is a normal class, it should be the class or one of it's subclasses.
         Otherwise, InvalidEditingException will be occurred.

  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              NO_TARGET_CLASSIFIER_KEY - if target classifier doesn't exist.
              FORBID_SUBSYSTEM_KEY - if a subsystem is set to a template parameter.
              TEMPLATE_PARAM_ACTUAL_VALUE_ERROR_KEY - if an actual value cannot be set to a template parameter.
              MUST_SUB_CLASS_ERROR_KEY - if the type of parameter is not a sub class.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD